/**
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * $Id$
 * Universidad de los Andes (Bogot - Colombia)
 * Departamento de Ingeniera de Sistemas y Computacin 
 * Licenciado bajo el esquema Academic Free License version 2.1 
 *
 * Proyecto Cupi2 (http://cupi2.uniandes.edu.co)
 * Ejercicio: n8_inscripcionCedulas
 * Autor: Equipo Cupi2 - 2015
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
package uniandes.cupi2.inscripcionCedulas.excepciones;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;

/**
 * Excepcin que se lanza cuando se intenta agregar un ciudadano inscrito previamente. <br>
 */
public class CiudadanoRegistradoException extends Exception
{

    // -----------------------------------------------------------------
    // Constantes
    // -----------------------------------------------------------------

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * Nombre del archivo de registro de errores de elementos repetidos.
     */
    private static final String LOG_FILE = "./data/error.log";

    // ----------------------------------------------------------
    // Atributos
    // ----------------------------------------------------------

    /**
     * Cdula del ciudadano que ya exista previamente.
     */
    private String cedula;

    // ----------------------------------------------------------
    // Mtodos
    // ----------------------------------------------------------

    /**
     * Construye la excepcin con un mensaje indicando el nombre ciudadano que caus el error de repeticin. <br>
     * Esta informacin est dada por parmetro. Registra en el archivo de log del programa la informacin correspondiente a la excepcin.
     * @param pCedulaCiudadano Cdula del ciudadano que ya exista previamente. pCedulaCiudadano != null && pCedulaCiudadano != "".
     */
    public CiudadanoRegistradoException( String pCedulaCiudadano )
    {
        super( "El ciudadano con la cdula " + pCedulaCiudadano + " ya se encuentra registrado en el sistema." );

        cedula = pCedulaCiudadano;

        registrarError( );
    }

    /**
     * Registra en el archivo de log del programa la informacin referente a la excepcin. <br>
     * En caso de que se genere un error al escribir en el archivo de log, se imprime en consola la traza completa del error.
     */
    public void registrarError( )
    {
    	//TODO 13.A Trate de escribir el error en el archivo de LOG
    	//		Recuerde que el archivo de log no se borra, se aade informacin al final de l
    	//		En caso de que ocurra una excepcin ignorela
       
    }

}
