package uniandes.cupi2.inscripcionCedulas.mundo;

/**
 * Rangos de edad para clasificar a los ciudadanos
 * @author alvar-go
 */
public enum RangoEdad {

	RANGO_0 (18,25),
	RANGO_1 (26,29),
	RANGO_2 (30,37),
	RANGO_3 (38,49),
	RANGO_4 (50,66),
	RANGO_5 (67,150);
	
	/**
	 * Lmite inferior del rango
	 */
	private int limiteInferior;
	
	/**
	 * Lmite superior del rango
	 */
	private int limiteSuperior;
	
	/**
	 * Crea un nuevo elemento de la enumeracin
	 * @param limiteInf lmite inferior del rango
	 * @param limiteSup lmite superior del rango
	 */
	private RangoEdad(int limiteInf, int limiteSup)
	{
		limiteInferior = limiteInf;
		limiteSuperior = limiteSup;
	}
	
	/**
	 * Devuelve el lmite inferior del rango
	 * @return limiteInferior
	 */
	public int darLimiteInferior()
	{
		return limiteInferior;
	}
	
	/**
	 * Devuelve el lmite superior del rango
	 * @return limiteSuperior
	 */
	public int darLimiteSuperior()
	{
		return limiteSuperior;
	}
	
	/**
	 * Devuelve la representacin en String del rango
	 * @return <limiteInferior> - <limiteSuperior> aos
	 */
	public String toString()
	{
		return limiteInferior + " - " + limiteSuperior + " aos";
	}
}
